Parameters
JSON body
Request body
application/jsonproductCodestringRequiredProduct code to add a relation to.
Example
my-productrelatedCodestringRequiredProduct code of the related product.
Example
related-productCreates a bidirectional relation between two products. Both products will show each other as related. Regenerates read models for both products.
JSON body
productCodestringRequiredProduct code to add a relation to.
my-productrelatedCodestringRequiredProduct code of the related product.
related-product1 status code documented
successbooleanRequiredWhether the relation was created successfully.
{
"success": false
}POST /bff/product/connect-related-product
curl -X POST "https://api.bizkithub.com/bff/product/connect-related-product" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{
"productCode": "my-product",
"relatedCode": "related-product"
}'All BizKitHub public API endpoints require authentication via API key.